package system

import (
	"github.com/gin-gonic/gin"
	"wails-app/internal/model/common/response"
	systemService "wails-app/internal/service/system"
)

var dashboardSvc = systemService.DashboardService{}

func GetMonitor(c *gin.Context) {
	data, err := dashboardSvc.GetMonitorData()
	if err != nil {
		response.FailWithMessage(err.Error(), c)
		return
	}
	response.OkWithData(data, c)
}
